------------------------------------------------------------------------------------
--Name：  220525[简体征服][活动脚本]全球暑期活动
--Creator:      黄洪文
--Created:     2022-05-28
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>284
--/reloadlua Script/SummerActive/2022/SummerActiveCross.lua
--/chgmap 11835 74 131
CppScriptMgr:SetCanUseEsc(1)
CppScriptMgr:SetViewPosByCell(68,129)

CppScriptMgr:SetLightScreen(2000);

local hero = CppScriptMgr:QueryHero();
hero:SetLook(hero:GetLook(), false, true) ;
hero:SetZoomPercent(100)
hero:SetPos(68, 129)
hero:SetDir(6)

---人鱼公主艾莎
local AiSha = CppScriptMgr:AddSimplePlayer(21692,73,130, "Mermaid Elsa", 4003000018,1)

hero:Say("Gurgling... gurgling...", 2000)
CppScriptMgr:WaitMilSec(2500)
AiSha:Say("Don`t worry. I`ll cast a spell, so you can breathe in the sea.", 2500)
CppScriptMgr:WaitMilSec(3500)

--给玩家增加光效
hero:AddEffect("foot06",68,129)
CppScriptMgr:WaitMilSec(2000)
hero:AddEffect("recovery",68,129)
CppScriptMgr:WaitMilSec(2000)
hero:Say("I can breathe now!", 2500)


CppScriptMgr:WaitMilSec(3000)